_     = require './underscore'
_.str = require './underscore.string'

module.exports = 
  isShort: (str) ->
    len = str.length
    if len < 256 
      return true
    return false

  strlen_wa: (str) ->
    len = str.length
    if len >= 256
      len = len&0xFF00 >> 8
    return len

  _hex: (int) ->
    if _.str.sprintf('%X', int).length % 2 is 0
      return sprintf '%X', int
    else
      return sprintf '0%X', int

  random_uuid: ->
    return _.str.sprintf '%04x%04x-%04x-%04x-%04x-%04x%04x%04x', 
      Math.round(Math.random() * 0xffff), Math.round(Math.random() * 0xffff),
      Math.round(Math.random() * 0xffff),
      Math.round(Math.random() * 0x0fff) | 0x4000,
      Math.round(Math.random() * 0x3fff) | 0x8000,
      Math.round(Math.random() * 0xffff), Math.round(Math.random() * 0xffff), Math.round(Math.random() * 0xffff)

  strtohex: (str) -> return # not implemented
  startsWith: (haystack, needle, pos=0) -> return # not implemented
  endsWith: (haystack, needle) -> return # not implemented
  
