express = require('express')
logger  = require('nlogger').logger(module)

appPort = 3888
app     = express()
server  = require('http').createServer(app)

WASocket = require('./lib/socket')

process.on 'uncaughtException', (e) ->
  console.log e.stack

###
  Configuration
###
# Views
app.set 'views', __dirname + '/views'
app.set 'view engine', 'jade'
# Basic modules
app.use express.methodOverride()
app.use express.bodyParser()
app.use express.cookieParser()
# Assets
app.use express.static __dirname + '/public'
# Auth
app.use express.session
  secret: 'osdoinsvonpikachuuuuuuipvjisjuisniubvs'

app.use app.router

###
  Routes
###

app.get '/', (req, res) ->
  res.render 'index.jade'

appServer = app.listen appPort
io = require('socket.io').listen appServer
io.set 'log level', 2

io.sockets.on 'connection', (socket) ->
  sock = new WASocket socket

logger.info """whatsapp client server listening on 127.0.0.1:#{appPort}"""